Upgrading Apache from 2.2 to 2.4

Title: Upgrading Apache from 2.2 to 2.4
Author: Dirkjan Ochtman <djc@gentoo.org>
Content-Type: text/plain
Posted: 2016-01-27
Revision: 1
News-Item-Format: 1.0
Display-If-Installed: www-servers/apache

With the 2.4 branch released by upstream almost 4 years ago, stable
Gentoo systems will soon be upgraded from apache 2.2 to apache 2.4.
When upgrading, some configuration changes will have to be made.
Upstream has a handy guide:

https://httpd.apache.org/docs/2.4/upgrading.html

For more information on all the new features, start here:

https://httpd.apache.org/docs/trunk/new_features_2_4.html

After emerging Apache 2.4, you will also need to rebuild any
third-party modules:

emerge -av1 /usr/lib/apache2/modules --exclude=www-servers/apache